{-# LANGUAGE TypeFamilies #-}
module Types.Settings where

import qualified Data.Text as T

-- internal imports

import Classes

data Settings = Settings
  { settingsBlockRegistration :: Bool
  , settingsImprintText       :: Maybe T.Text
  }
  deriving (Show)

instance DatabaseRepresentation Settings where

  type Representation Settings = (Bool, Maybe T.Text)

instance ToDatabase Settings where

  toDatabase (Settings reg imprint) = (reg, imprint)

instance FromDatabase Settings where

  fromDatabase (reg, imprint) = Settings reg imprint
